#include <stdio.h>
#include <stdint.h>

#include "../src/q15.h"

int
main(int argc, char *argv[])
{
	uint32_t u;
	int16_t q;
	uint8_t msb, lsb;
	float x;

	for (u = 0; u < 65536; u++) {
		q = (int16_t)u + 0x8000;
		lsb = u & 0xff;
		msb = (u & 0xff00) >> 8;
		x = u16_to_float(msb, lsb);
		printf("%u %d %.6f %.6f %u\n", u, q,
		    q15_to_float(q), x, float_to_u16(x));
	}
	return 0;
}

		
	   
